use crate::{Payload, SeString};
use crate::payload::{EmphasisPayload, TextPayload};

super::basic_tests! {
    emphasis {
        payload = &[78, 111, 119, 32, 112, 108, 97, 121, 105, 110, 103, 32, 2, 26, 2, 2, 3, 87, 97, 105, 108, 101, 114, 115, 32, 97, 110, 100, 32, 87, 97, 116, 101, 114, 119, 104, 101, 101, 108, 115, 2, 26, 2, 1, 3, 46];
        expected = SeString(vec![
            Payload::Text(TextPayload::from("Now playing ")),
            Payload::Emphasis(EmphasisPayload::enable()),
            Payload::Text(TextPayload::from("Wailers and Waterwheels")),
            Payload::Emphasis(EmphasisPayload::disable()),
            Payload::Text(TextPayload::from(".")),
        ]);
    }
}
